<?php

if (!function_exists('hackKey')) {
    function hackKey($encrypt = true, $string)
    {
        $output = false;
        $encrypt_method = "AES-256-CBC";
        $secret_key = '6xhsYisB2urVyntVE9st';
        $secret_iv = '6xhsYisB2urVyntVE9st';

        // hash
        $key = hash('sha256', $secret_key);
        // iv - encrypt method AES-256-CBC expects 16 bytes
        $iv = substr(hash('sha256', $secret_iv), 0, 16);
        if ($encrypt) {
            $output = openssl_encrypt($string, $encrypt_method, $key, 0, $iv);
            $output = base64_encode($output);
        } else if (!$encrypt) {
            $output = openssl_decrypt(base64_decode($string), $encrypt_method, $key, 0, $iv);
        }
        return $output;
    }
}
